> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify if a destination is properly configured

> Use this endpoint to validate the properties for the specified destination. If any required property is missing, the response will include a relevant error message. If all required properties are present, it attempts to establish a connection with the destination and returns a status message indicating whether the connection was successful.
The response is an array of check messages. Each element in the array includes two fields: `isError`, a boolean flag, and `message`, a string. The `isError` field should be used to distinguish between error messages and informational messages. See the provided example for more details.
All this process is performed synchronously, so it may take a few seconds to complete. There is also a timeout of 10 seconds for the whole process.




## OpenAPI

````yaml get /v2/destinations/{id}/verify
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/destinations/{id}/verify:
    parameters:
      - $ref: '#/components/parameters/id'
    get:
      tags:
        - Destinations
      summary: Verify if a destination is properly configured
      description: >
        Use this endpoint to validate the properties for the specified
        destination. If any required property is missing, the response will
        include a relevant error message. If all required properties are
        present, it attempts to establish a connection with the destination and
        returns a status message indicating whether the connection was
        successful.

        The response is an array of check messages. Each element in the array
        includes two fields: `isError`, a boolean flag, and `message`, a string.
        The `isError` field should be used to distinguish between error messages
        and informational messages. See the provided example for more details.

        All this process is performed synchronously, so it may take a few
        seconds to complete. There is also a timeout of 10 seconds for the whole
        process.
      operationId: getDestinationChecks
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/checks'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '408':
          $ref: '#/components/responses/TimeoutError'
components:
  parameters:
    id:
      name: id
      in: path
      description: ID
      required: true
      schema:
        $ref: '#/components/schemas/id'
      example:
        - value: 568971
  schemas:
    checks:
      type: array
      items:
        type: object
        required:
          - isError
          - message
        properties:
          name:
            type: string
            description: The name of the check
          is_error:
            type: boolean
            description: Whether this check failed
          message:
            type: string
            description: The message of the check
      x-go-type: '[]*native.Check'
      readOnly: true
    id:
      type: integer
      format: int
      examples:
        - 568971
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
    TimeoutError:
      description: Timeout - The request timed out.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Request Timeout
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````